restic backup(1)

NAME

restic-init - Initialize a new repository

SYNOPSIS

restic init [flags]

DESCRIPTION

The "init" command initializes a new repository.

EXIT STATUS

Exit status is 0 if the command was successful, and non-zero if there was any error.

OPTIONS

--copy-chunker-params[=false]
    copy chunker parameters from the secondary repository (useful with the copy command)

--from-key-hint=""
    key ID of key to try decrypting the source repository first (default: $RESTIC_FROM_KEY_HINT)

--from-password-command=""
    shell command to obtain the source repository password from (default: $RESTIC_FROM_PASSWORD_COMMAND)

--from-password-file=""
    file to read the source repository password from (default: $RESTIC_FROM_PASSWORD_FILE)

--from-repo=""
    source repository to copy chunker parameters from (default: $RESTIC_FROM_REPOSITORY)

--from-repository-file=""
    file from which to read the source repository location to copy chunker parameters from (default: $RESTIC_FROM_REPOSITORY_FILE)

-h, --help[=false]
    help for init

--repository-version="stable"
    repository format version to use, allowed values are a format version, 'latest' and 'stable'

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--compression=auto
    compression mode (only available for repository format version 2), one of (auto|off|max)

--insecure-tls[=false]
    skip TLS certificate verification when connecting to the repository (insecure)

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repository, this allows some operations on read-only repositories

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--pack-size=0
    set target pack size in MiB, created pack files may be larger (default: $RESTIC_PACK_SIZE)

--password-command=""
    shell command to obtain the repository password from (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    file to read the repository password from (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--repository-file=""
    file to read the repository location from (default: $RESTIC_REPOSITORY_FILE)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify multiple times or a level using --verbose=n, max level/times is 2)

SEE ALSO

restic(1)